Amazon Marketplace module by Common Services - error being thrown due to incompatibility



  • According to the @Common-Services support, the error being thrown when I import orders from Amazon is due to tb incompatibility:

    “Warning: Cannot use a scalar value as an array in /public_html/classes/Tools.php on line 4629”

    What’s your take on this?



  • Based on the line number, it is spreadAmount function.
    Which is identical to Prestashop, from what I see.
    So I am not sure what incompatibility they are talking about.



  • This is their reply after pointing out that the function is identical to PrestaShop:

    “The message is not error but warning. I think you can ignore the message.”

    What does line 4620 do?


 

Looks like your connection to thirty bees forum was lost, please wait while we try to reconnect.